[Assassin Class Transfer]:
An Assassin who reaches level 40 can proceed with the 2nd class transfer to become a Abyss Walker or a Phantom Ranger. In order to accomplish the 2nd class transfer, the character must first successfully complete three quests. The first of the quests can only be undertaken by a character of level 35 or above. If you would like to view more detailed information, please click the class you are interested in.
Abyss Walker
Phantom Ranger
Return
Close Window